package ru.yandex.direct.web.entity.adgroupadditionaltargeting.presentation;

import javax.annotation.ParametersAreNonnullByDefault;

import ru.yandex.direct.validation.presentation.DefaultDefectPresentationRegistry;
import ru.yandex.direct.web.validation.kernel.TranslatableWebDefect;

import static ru.yandex.direct.core.entity.adgroupadditionaltargeting.service.validation.AdGroupAdditionalTargetingsDefectIds.Gen.INCORRECT_VERSION;
import static ru.yandex.direct.web.validation.kernel.WebDefectPresentationProviders.defaultWebDefect;

@ParametersAreNonnullByDefault
public class AdGroupAdditionalTargetingDefectPresentations {
    private AdGroupAdditionalTargetingDefectPresentations() {
    }

    public static DefaultDefectPresentationRegistry<TranslatableWebDefect> adGroupAdditionalTargetingDefectPresentationRegistry() {
        return DefaultDefectPresentationRegistry.builder()
                .register(INCORRECT_VERSION, defaultWebDefect())
                .build();
    }
}
